MapEntry
Date: 2015-09-15

org.jmock.expectation

## Class MapEntry

- java.lang.Object
- - org.jmock.expectation.MapEntry

- All Implemented Interfaces:
    java.util.Map.Entry

      public class MapEntry
      extends java.lang.Object
      implements java.util.Map.Entry

  A public MapEntry data type that can be used where the Map.Entry interface is required (needed because the Sun implementation is package protected)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapEntry(java.lang.Object aKey, java.lang.Object aValue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.Object` | `getKey()`
    `java.lang.Object` | `getValue()`
    `int` | `hashCode()`
    `java.lang.Object` | `setValue(java.lang.Object aValue)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MapEntry

          public MapEntry(java.lang.Object aKey,
                  java.lang.Object aValue)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object o)

      Specified by:
        `equals` in interface `java.util.Map.Entry`
      Overrides:
        `equals` in class `java.lang.Object`

    - #### getKey

          public java.lang.Object getKey()

      Specified by:
        `getKey` in interface `java.util.Map.Entry`

    - #### getValue

          public java.lang.Object getValue()

      Specified by:
        `getValue` in interface `java.util.Map.Entry`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `java.util.Map.Entry`
      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### setValue

          public java.lang.Object setValue(java.lang.Object aValue)

      Specified by:
        `setValue` in interface `java.util.Map.Entry`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`